Index: uspace/lib/c/generic/iplink.c
===================================================================
--- uspace/lib/c/generic/iplink.c	(revision 25a179efc4ecca45aa90793992b6c1c2743fd07f)
+++ uspace/lib/c/generic/iplink.c	(revision a53ed3a8097360ccf174e8d94fb407db919eb66a)
@@ -47,5 +47,5 @@
 static void iplink_cb_conn(ipc_callid_t iid, ipc_call_t *icall, void *arg);
 
-int iplink_open(async_sess_t *sess, iplink_ev_ops_t *ev_ops, void *arg,
+errno_t iplink_open(async_sess_t *sess, iplink_ev_ops_t *ev_ops, void *arg,
     iplink_t **riplink)
 {
@@ -61,5 +61,5 @@
 
 	port_id_t port;
-	int rc = async_create_callback_port(exch, INTERFACE_IPLINK_CB, 0, 0,
+	errno_t rc = async_create_callback_port(exch, INTERFACE_IPLINK_CB, 0, 0,
 	    iplink_cb_conn, iplink, &port);
 	
@@ -85,5 +85,5 @@
 }
 
-int iplink_send(iplink_t *iplink, iplink_sdu_t *sdu)
+errno_t iplink_send(iplink_t *iplink, iplink_sdu_t *sdu)
 {
 	async_exch_t *exch = async_exchange_begin(iplink->sess);
@@ -93,20 +93,20 @@
 	    (sysarg_t) sdu->dest, &answer);
 	
-	int rc = async_data_write_start(exch, sdu->data, sdu->size);
-	
-	async_exchange_end(exch);
-	
-	if (rc != EOK) {
-		async_forget(req);
-		return rc;
-	}
-	
-	int retval;
-	async_wait_for(req, &retval);
-	
-	return retval;
-}
-
-int iplink_send6(iplink_t *iplink, iplink_sdu6_t *sdu)
+	errno_t rc = async_data_write_start(exch, sdu->data, sdu->size);
+	
+	async_exchange_end(exch);
+	
+	if (rc != EOK) {
+		async_forget(req);
+		return rc;
+	}
+	
+	errno_t retval;
+	async_wait_for(req, &retval);
+	
+	return retval;
+}
+
+errno_t iplink_send6(iplink_t *iplink, iplink_sdu6_t *sdu)
 {
 	async_exch_t *exch = async_exchange_begin(iplink->sess);
@@ -115,5 +115,5 @@
 	aid_t req = async_send_0(exch, IPLINK_SEND6, &answer);
 	
-	int rc = async_data_write_start(exch, &sdu->dest, sizeof(addr48_t));
+	errno_t rc = async_data_write_start(exch, &sdu->dest, sizeof(addr48_t));
 	if (rc != EOK) {
 		async_exchange_end(exch);
@@ -131,16 +131,16 @@
 	}
 	
-	int retval;
-	async_wait_for(req, &retval);
-	
-	return retval;
-}
-
-int iplink_get_mtu(iplink_t *iplink, size_t *rmtu)
+	errno_t retval;
+	async_wait_for(req, &retval);
+	
+	return retval;
+}
+
+errno_t iplink_get_mtu(iplink_t *iplink, size_t *rmtu)
 {
 	async_exch_t *exch = async_exchange_begin(iplink->sess);
 	
 	sysarg_t mtu;
-	int rc = async_req_0_1(exch, IPLINK_GET_MTU, &mtu);
+	errno_t rc = async_req_0_1(exch, IPLINK_GET_MTU, &mtu);
 	
 	async_exchange_end(exch);
@@ -153,5 +153,5 @@
 }
 
-int iplink_get_mac48(iplink_t *iplink, addr48_t *mac)
+errno_t iplink_get_mac48(iplink_t *iplink, addr48_t *mac)
 {
 	async_exch_t *exch = async_exchange_begin(iplink->sess);
@@ -160,5 +160,5 @@
 	aid_t req = async_send_0(exch, IPLINK_GET_MAC48, &answer);
 	
-	int rc = async_data_read_start(exch, mac, sizeof(addr48_t));
+	errno_t rc = async_data_read_start(exch, mac, sizeof(addr48_t));
 	
 	loc_exchange_end(exch);
@@ -169,11 +169,11 @@
 	}
 	
-	int retval;
-	async_wait_for(req, &retval);
-	
-	return retval;
-}
-
-int iplink_set_mac48(iplink_t *iplink, addr48_t mac)
+	errno_t retval;
+	async_wait_for(req, &retval);
+	
+	return retval;
+}
+
+errno_t iplink_set_mac48(iplink_t *iplink, addr48_t mac)
 {
 	async_exch_t *exch = async_exchange_begin(iplink->sess);
@@ -182,5 +182,5 @@
 	aid_t req = async_send_0(exch, IPLINK_GET_MAC48, &answer);
 	
-	int rc = async_data_read_start(exch, mac, sizeof(addr48_t));
+	errno_t rc = async_data_read_start(exch, mac, sizeof(addr48_t));
 	
 	loc_exchange_end(exch);
@@ -191,12 +191,12 @@
 	}
 	
-	int retval;
-	async_wait_for(req, &retval);
-	
-	return retval;
-}
-
-
-int iplink_addr_add(iplink_t *iplink, inet_addr_t *addr)
+	errno_t retval;
+	async_wait_for(req, &retval);
+	
+	return retval;
+}
+
+
+errno_t iplink_addr_add(iplink_t *iplink, inet_addr_t *addr)
 {
 	async_exch_t *exch = async_exchange_begin(iplink->sess);
@@ -205,19 +205,19 @@
 	aid_t req = async_send_0(exch, IPLINK_ADDR_ADD, &answer);
 	
-	int rc = async_data_write_start(exch, addr, sizeof(inet_addr_t));
-	async_exchange_end(exch);
-	
-	if (rc != EOK) {
-		async_forget(req);
-		return rc;
-	}
-	
-	int retval;
-	async_wait_for(req, &retval);
-	
-	return retval;
-}
-
-int iplink_addr_remove(iplink_t *iplink, inet_addr_t *addr)
+	errno_t rc = async_data_write_start(exch, addr, sizeof(inet_addr_t));
+	async_exchange_end(exch);
+	
+	if (rc != EOK) {
+		async_forget(req);
+		return rc;
+	}
+	
+	errno_t retval;
+	async_wait_for(req, &retval);
+	
+	return retval;
+}
+
+errno_t iplink_addr_remove(iplink_t *iplink, inet_addr_t *addr)
 {
 	async_exch_t *exch = async_exchange_begin(iplink->sess);
@@ -226,13 +226,13 @@
 	aid_t req = async_send_0(exch, IPLINK_ADDR_REMOVE, &answer);
 	
-	int rc = async_data_write_start(exch, addr, sizeof(inet_addr_t));
-	async_exchange_end(exch);
-	
-	if (rc != EOK) {
-		async_forget(req);
-		return rc;
-	}
-	
-	int retval;
+	errno_t rc = async_data_write_start(exch, addr, sizeof(inet_addr_t));
+	async_exchange_end(exch);
+	
+	if (rc != EOK) {
+		async_forget(req);
+		return rc;
+	}
+	
+	errno_t retval;
 	async_wait_for(req, &retval);
 	
@@ -252,5 +252,5 @@
 	ip_ver_t ver = IPC_GET_ARG1(*icall);
 	
-	int rc = async_data_write_accept(&sdu.data, false, 0, 0, 0,
+	errno_t rc = async_data_write_accept(&sdu.data, false, 0, 0, 0,
 	    &sdu.size);
 	if (rc != EOK) {
@@ -270,5 +270,5 @@
 	size_t size;
 	
-	int rc = async_data_write_accept((void **)&addr, false,
+	errno_t rc = async_data_write_accept((void **)&addr, false,
 	    sizeof(addr48_t), sizeof(addr48_t), 0, &size);
 	if (rc != EOK) {
